import { Signal } from '@angular/core';
import type { BaseSyncModel, UserInfo } from '../../../../core/src/index';
export interface PresenceState {
    users: UserInfo[];
    userMap: Map<number, UserInfo>;
    activeCount: number;
    localUser?: UserInfo;
    otherUsers: UserInfo[];
    isAlone: boolean;
}
export declare function createPresenceSignal(model: BaseSyncModel): Signal<PresenceState>;
export declare function createActiveUsersSignal(model: BaseSyncModel): Signal<number>;
export declare function createOtherUsersSignal(model: BaseSyncModel): Signal<UserInfo[]>;
export declare function createUserColorsSignal(model: BaseSyncModel): Signal<Map<string, string>>;
